Package org.apache.sysds.runtime.compress.estim.encoding

# Class AEncode

java.lang.Object
org.apache.sysds.runtime.compress.estim.encoding.AEncode

All Implemented Interfaces:
  `IEncode`

Direct Known Subclasses:
  `ConstEncoding`, `DenseEncoding`, `EmptyEncoding`, `SparseEncoding`

public abstract class AEncode extends Object implements IEncode

## Field Summary

### Fields inherited from interface org.apache.sysds.runtime.compress.estim.encoding.IEncode

`LOG`

## Constructor Summary

Constructors
Constructor
Description
`AEncode()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object e)`

### Methods inherited from class java.lang.Object

`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.sysds.runtime.compress.estim.encoding.IEncode

`combine, combineWithMap, equals, extractFacts, getUnique, isDense`

## Constructor Details

### AEncode

public AEncode()

## Method Details

### equals

public boolean equals(Object e)

Specified by:
  `equals` in interface `IEncode`
Overrides:
  `equals` in class `Object`